// Copyright 2020 The ZKits Project Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package logger

import (
	"fmt"
	"io"
	"os"
)

// Test easily.
var _w io.Writer = os.Stderr

// Writes the internal error information of the logger to standard error.
// For internal errors, we always leave some traces for easy tracking.
func echo(format string, args ...interface{}) {
	_, _ = fmt.Fprintln(_w, fmt.Sprintf(format, args...))
}
